export type HookResultKey = string | number | symbol;
export default class HookResult<T extends Record<HookResultKey, any>> {
    _data: Map<HookResultKey, any>;
    constructor(data: T, order?: (keyof T)[]);
    [Symbol.iterator](): Generator<any, void, unknown>;
}
